zenilib: Zeni::Widgets Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
Zeni::Widgets Class Reference
Zenilib

A Widget Set. More...

`#include <Widget.h>`

Inherits Zeni::Widget.

## Public Member Functions

| Widgets ()
void | lend_Widget (Widget &widget)
virtual void | on_key (const SDL_Keysym &keysym, const bool &down)
virtual void | on_mouse_button (const Point2i &pos, const bool &down, const int &button)
virtual void | on_mouse_motion (const Point2i &pos)
virtual void | perform_logic ()
virtual void | render_impl () const
void | unlend_Widget (Widget &widget)
Public Member Functions inherited from Zeni::Widget
| Widget ()
virtual | ~Widget ()
void | fax_Renderer (const Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget a copy. More...
const float & | get_layer () const
const Widget_Render_Function * | get_Renderer () const
| Get the current Widget_Render_Function. More...
void | give_Renderer (Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget ownership. More...
const bool & | is_busy () const
const bool & | is_editable () const
void | lend_Renderer (const Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget no ownership. More...
void | on_event (const SDL_KeyboardEvent &event)
void | on_event (const SDL_MouseButtonEvent &event)
void | on_event (const SDL_MouseButtonEvent &event, const Projector2D &projector)
void | on_event (const SDL_MouseMotionEvent &event)
void | on_event (const SDL_MouseMotionEvent &event, const Projector2D &projector)
void | render () const
void | set_busy (const bool &busy_)
virtual void | set_editable (const bool &editable_)
void | set_layer (const float &layer_=0.0f)

## Detailed Description

A Widget Set.

This allows you to batch send events and render commands to many Widgets at once.

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 1023 of file Widget.h.

## Constructor & Destructor Documentation

Zeni::Widgets::Widgets | ( |  | ) |

inline

Definition at line 653 of file Widget.hxx.

## Member Function Documentation

void Zeni::Widgets::lend_Widget | ( | Widget & | widget | ) |

inline

Definition at line 658 of file Widget.hxx.

References assert, Zeni::Widget::is_busy(), and Zeni::Widget::set_busy().

Referenced by Zeni::Configurator_Video::Check_State::Check_State(), Zeni::Configurator_Video::Configurator_Video(), and Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::Title_State().

void Zeni::Widgets::on_key | ( | const SDL_Keysym & | keysym,
|  | const bool & | down
| ) |  |

virtual

Reimplemented from Zeni::Widget.

Definition at line 1476 of file Widget.cpp.

References Zeni::Widget::is_busy(), Zeni::Widget::is_editable(), Zeni::Widget::on_key(), Zeni::Widget::set_busy(), and Zeni::widget_layer_less().

void Zeni::Widgets::on_mouse_button | ( | const Point2i & | pos,
|  | const bool & | down,
|  | const int & | button
| ) |  |

virtual

Implements Zeni::Widget.

Definition at line 1503 of file Widget.cpp.

References Zeni::Widget::is_busy(), Zeni::Widget::is_editable(), Zeni::Widget::on_mouse_button(), Zeni::Widget::set_busy(), and Zeni::widget_layer_less().

void Zeni::Widgets::on_mouse_motion | ( | const Point2i & | pos | ) |

virtual

Implements Zeni::Widget.

Definition at line 1529 of file Widget.cpp.

References Zeni::Widget::is_busy(), Zeni::Widget::is_editable(), Zeni::Widget::on_mouse_motion(), Zeni::Widget::set_busy(), and Zeni::widget_layer_less().

void Zeni::Widgets::perform_logic | ( |  | ) |

virtual

Reimplemented from Zeni::Widget.

Definition at line 1583 of file Widget.cpp.

References Zeni::widget_layer_less().

Referenced by Zeni::Widget_Gamestate::perform_logic().

void Zeni::Widgets::render_impl | ( |  | ) | const

virtual

Reimplemented from Zeni::Widget.

Definition at line 1590 of file Widget.cpp.

References Zeni::widget_layer_less().

void Zeni::Widgets::unlend_Widget | ( | Widget & | widget | ) |

inline

Definition at line 668 of file Widget.hxx.

References Zeni::Widget::set_busy().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.h
- zenilib/jni/external/zenilib/zeni_rest/Widget.cpp
- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.hxx